> For the complete documentation index, see [llms.txt](https://developers.couchdrop.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.couchdrop.io/administration/managing-folders.md).

# Folder Properties

## Folder Properties

## Get folder properties

<mark style="color:blue;">`GET`</mark> `https://api.couchdrop.io/manage/fileprops`

Get all current folder properties.

#### Query Parameters

| Name | Type   | Description           |
| ---- | ------ | --------------------- |
| path | string | Path to file / folder |

#### Headers

| Name  | Type   | Description      |
| ----- | ------ | ---------------- |
| token | string | API Access Token |

{% tabs %}
{% tab title="200 Successfully retrieved folder properties" %}

```
{"result": {"account": "test",
             "advanced_permissions_enabled": False,
             "email_upload_address": "d18ae434-bc66-4c54-b95b-762dbb5e2d28@mail.couchdrop.io",
             "email_upload_enabled": True,
             "id": "12b7c994-bd45-4dd4-b02b-2f13248deba5",
             "notifications__email": "admin@couchdrop.io",
             "notifications__email_download": False,
             "notifications__email_failures": False,
             "notifications__email_upload": False,
             "notifications__webhook_download": False,
             "notifications__webhook_failure": False,
             "notifications__webhook_upload": False,
             "notifications__webhook_uri": "",
             "path": "/mount0",
             "portal_enabled": False,
             "portal_url": "https://upload.couchdrop.io/2d769df4-08a7-4ff3-a166-831229363281"}}
```

{% endtab %}

{% tab title="403 Authentication Invalid." %}

```
{
  "err": "Token was not valid"
}
```

{% endtab %}
{% endtabs %}

## Add/Update folder properties

<mark style="color:green;">`POST`</mark> `https://api.couchdrop.io/manage/fileprops`

Add new or update existing folder properties.

#### Headers

| Name  | Type   | Description      |
| ----- | ------ | ---------------- |
| token | string | API Access Token |

#### Request Body

| Name                               | Type    | Description                                                                       |
| ---------------------------------- | ------- | --------------------------------------------------------------------------------- |
| path                               | string  | Folder to apply properties to.                                                    |
| portal\_enabled                    | boolean | Enable web upload portal.                                                         |
| notifications\_\_email             | string  | Address to send email notifications.                                              |
| notifications\_\_email\_upload     | boolean | Send email when files are uploaded.                                               |
| notifications\_\_email\_download   | boolean | Send email when files are downloaded.                                             |
| notifications\_\_email\_failures   | boolean | Send email when operation fails.                                                  |
| notifications\_\_webhook\_upload   | boolean | Send webhook when files are uploaded.                                             |
| notifications\_\_webhook\_download | boolean | Send webhook when files are downloaded.                                           |
| notifications\_\_webhook\_failure  | boolean | Send webhook when operation fails.                                                |
| notifications\_\_webhook\_uri      | string  | URI to send webhooks notifications.                                               |
| advanced\_permissions\_enabled     | boolean | Enable advanced permissions. (Blocks all access to folder by default if enabled.) |

{% tabs %}
{% tab title="200 Successfully updated folder properties." %}

```
{}
```

{% endtab %}

{% tab title="403 Authentication Invalid." %}

```
{
  "err": "Token was not valid"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.couchdrop.io/administration/managing-folders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
